Mailinglist Archive: opensuse-bugs (3135 mails)

< Previous Next >
[Bug 705425] ruby-bindings: YaST crash during the call of ruby method

https://bugzilla.novell.com/show_bug.cgi?id=705425

https://bugzilla.novell.com/show_bug.cgi?id=705425#c10


Jiří­ Suchomel <jsuchome@xxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|NEEDINFO |NEW
InfoProvider|jsuchome@xxxxxxxxxx |

--- Comment #10 from Jiří­ Suchomel <jsuchome@xxxxxxxxxx> 2011-07-18 08:48:35
UTC ---
(In reply to comment #9)
(In reply to comment #6)
1. Download yast-- project from https://github.com/yast/yast--

2. Follow the README to install the project.

Please fix this. Testing YaST-- and reproducing bugs must not require root
privileges.

You need root privileges for 'sudo rake install', which is usual for any
project.

3. YaST needs library files under YaST directory and with YaST-like name:
link
kerberos_client.rb
(https://github.com/yast/yast--/blob/master/kerberos-client/kerberos_client.rb)
to /usr/share/YaST2/modules/KerberosClient.rb

See above

This is workaround for another ruby-bindings bugs, as already mentioned:

(btw, there are bugs 705422, 705417 for this)


4. Run this ycp code:

How does one run this code ?

/sbin/yast2 ./this_example.ycp

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
< Previous Next >
References